Loading...
Searching...
No Matches
main-loop.h File Reference
Core API » Main Loop

pipewire/main-loop.h More...

Go to the source code of this file.

## Data Structures

struct | pw_main_loop_events
| Events of the main loop. More...

## Macros

#define | PW_VERSION_MAIN_LOOP_EVENTS 0

## Functions

struct pw_main_loop * | pw_main_loop_new (const struct spa_dict *props)
| Create a new main loop.
void | pw_main_loop_add_listener (struct pw_main_loop *loop, struct spa_hook *listener, const struct pw_main_loop_events *events, void *data)
| Add an event listener.
struct pw_loop * | pw_main_loop_get_loop (struct pw_main_loop *loop)
| Get the loop implementation.
void | pw_main_loop_destroy (struct pw_main_loop *loop)
| Destroy a loop.
int | pw_main_loop_run (struct pw_main_loop *loop)
| Run a main loop.
int | pw_main_loop_quit (struct pw_main_loop *loop)
| Quit a main loop.

## Detailed Description

pipewire/main-loop.h